# 🤝 Contributing to data-science-snippets

First off, thank you for considering contributing to this project — your help makes it better for everyone!

We welcome contributions of all kinds:
- New utility functions
- Improvements to existing snippets
- Bug fixes
- Documentation updates
- Suggestions or feedback

## 🛠 How to Contribute

1. **Fork the repo** and create your branch:
   ```
   git checkout -b feature/your-feature-name
   ```

2. **Write your code** following the structure and naming style.

3. **Include docstrings and examples** where useful.

4. **Test your code** (if applicable).

5. **Open a pull request** with a clear description of your changes.

## 📚 Style Guide

- Keep functions modular and reusable.
- Use clear variable names and comments if needed.
- Use `numpy`, `pandas`, `matplotlib`, `seaborn` as base dependencies (avoid heavier libs unless justified).

## 🙌 No CLA required

You don’t need to sign anything to contribute — all contributions are welcome under the MIT License.

Thank you again!